Package wx :: Class SplitterEvent

[frames | no frames]

## Type SplitterEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            SplitterEvent

This class represents the events generated by a splitter control.

Method Summary
SplitterEvent | ``__init__`(self, type, splitter)` This class represents the events generated by a splitter control.
int | ``GetSashPosition`(self)` Returns the new sash position while in EVT_SPLITTER_SASH_POS_CHANGING and EVT_SPLITTER_SASH_POS_CHANGED events.
Window | ``GetWindowBeingRemoved`(self)` Returns a pointer to the window being removed when a splitter window is unsplit.
int | ``GetX`(self)` Returns the x coordinate of the double-click point in a EVT_SPLITTER_DCLICK event.
int | ``GetY`(self)` Returns the y coordinate of the double-click point in a EVT_SPLITTER_DCLICK event.
| ``SetSashPosition`(self, pos)` This function is only meaningful during EVT_SPLITTER_SASH_POS_CHANGING and EVT_SPLITTER_SASH_POS_CHANGED events.

Property Summary
| `SashPosition`: See `GetSashPosition` and `SetSashPosition`
| `thisown`: The membership flag
| `WindowBeingRemoved`: See `GetWindowBeingRemoved`
| `X`: See `GetX`
| `Y`: See `GetY`

Method Details

### __init__(self, type=wxEVT_NULL, splitter=(wxSplitterWindow *) NULL)
(Constructor)

This class represents the events generated by a splitter control.

  Parameters:
    `type`
    (type=EventType)

    `splitter`
    (type=SplitterWindow)

  Returns:
    SplitterEvent
  Overrides:
    `wx.NotifyEvent.__init__`

### GetSashPosition(self)

Returns the new sash position while in EVT_SPLITTER_SASH_POS_CHANGING and EVT_SPLITTER_SASH_POS_CHANGED events.

  Returns:
    int

### GetWindowBeingRemoved(self)

Returns a pointer to the window being removed when a splitter window is unsplit.

  Returns:
    Window

### GetX(self)

Returns the x coordinate of the double-click point in a EVT_SPLITTER_DCLICK event.

  Returns:
    int

### GetY(self)

Returns the y coordinate of the double-click point in a EVT_SPLITTER_DCLICK event.

  Returns:
    int

### SetSashPosition(self, pos)

This function is only meaningful during EVT_SPLITTER_SASH_POS_CHANGING and EVT_SPLITTER_SASH_POS_CHANGED events. In the case of _CHANGED events, sets the the new sash position. In the case of _CHANGING events, sets the new tracking bar position so visual feedback during dragging will represent that change that will actually take place. Set to -1 from the event handler code to prevent repositioning.

  Parameters:
    `pos`
    (type=int)

Property Details

### SashPosition

See `GetSashPosition` and `SetSashPosition`

  Get Method:
    `GetSashPosition`(self)
  Set Method:
    `SetSashPosition`(self, pos)

### thisown

The membership flag

### WindowBeingRemoved

See `GetWindowBeingRemoved`

  Get Method:
    `GetWindowBeingRemoved`(self)

### X

See `GetX`

  Get Method:
    `GetX`(self)

### Y

See `GetY`

  Get Method:
    `GetY`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:49 2007 | http://epydoc.sf.net